Subject: bug#28617: closed (Re: bug#28617: 25.2; erratic keyboard mapping)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Sep 2017 15:36:02 +0000

Your bug report

#28617: 25.2; erratic keyboard mapping

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28617: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28617
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28617: 25.2; erratic keyboard mapping
From: Eli Zaretskii <[email-masked]>
To: "Tandon\, Neil \(EC\)" <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Sep 2017 18:35:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Tandon, Neil (EC)" <[email-masked]>
> Date: Wed, 27 Sep 2017 14:22:57 +0000
> 
> I think I have solved this problem. My work computer has Windows language options enabled by default that
> appear to conflict with emacs. I disabled the “Auto-Adjust” option on the language toolbar, and I removed an
> “Alt-Shift” hotkey for switching the keyboard language, and the problems with funny characters in emacs have
> gone away.

Thanks, I therefore am closing the bug.

Subject: RE: 25.2; erratic keyboard mapping
From: "Tandon, Neil (EC)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 27 Sep 2017 14:22:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I think I have solved this problem. My work computer has Windows language options enabled by default that appear to conflict with emacs. I disabled the "Auto-Adjust" option on the language toolbar, and I removed an "Alt-Shift" hotkey for switching the keyboard language, and the problems with funny characters in emacs have gone away.

From: Tandon, Neil (EC)
Sent: September 21, 2017 12:34 PM
To: [email-masked]'
Subject: 25.2; erratic keyboard mapping

When I start emacs, my keyboard mapping is fine. But after some time, the keyboard mapping spontaneously changes. For example:

-instead of backslash, < appears

-when I type left curly brace, right curly brace or apostrophe, nothing appears

-when I type left curly brace twice, ^^ appears

-when I type right curly brace twice, `` appears

Switching out of Latex mode has no effect. No other windows applications are affected. For example, my keyboard mapping in Notepad works fine. When I restart emacs, the keyboard mapping returns to normal.

I have not been able to pinpoint a precise sequence of events or amount of time leading up to the change of keyboard mapping.

Neil

In GNU Emacs 25.2.1 (x86_64-w64-mingw32)

of 2017-04-24 built on LAPHROAIG

Windowing system distributor 'Microsoft Corp.', version 6.1.7601

Configured using:

'configure --without-dbus --without-compress-install 'CFLAGS=-O2

-static -g3''

Configured features:

XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB

TOOLKIT_SCROLL_BARS

Important settings:

  value of $LANG: ENU

  locale-coding-system: cp1252

Major mode: LaTeX

Minor modes in effect:

  shell-dirtrack-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  transient-mark-mode: t

Recent messages:

Auto-saving...done

Mark set

Saving file m:/My Documents/dynex-tex/supplementary3.tex...

Wrote m:/My Documents/dynex-tex/supplementary3.tex

Auto-saving...done

Quit [2 times]

Saving file m:/My Documents/dynex-tex/supplementary3.tex...

Wrote m:/My Documents/dynex-tex/supplementary3.tex

Saving file m:/My Documents/dynex-tex/supplementary3.tex...

Wrote m:/My Documents/dynex-tex/supplementary3.tex

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml

mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies

mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail

rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu

cl-loaddefs pcase cl-lib mail-prsvr mail-utils misearch multi-isearch

tex-mode compile shell pcomplete comint ansi-color ring latexenc

time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks

lisp-float-type mwheel dos-w32 ls-lisp disp-table w32-win w32-vars

term/common-win tool-bar dnd fontset image regexp-opt fringe

tabulated-list newcomment elisp-mode lisp-mode prog-mode register page

menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock

syntax facemenu font-core frame cl-generic cham georgian utf-8-lang

misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms

cp51932 hebrew greek romanian slovak czech european ethiopic indian

cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help

simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces

cus-face macroexp files text-properties overlay sha1 md5 base64 format

env code-pages mule custom widget hashtable-print-readable backquote

w32notify w32 multi-tty make-network-process emacs)

Memory information:

((conses 16 112318 5317)

(symbols 56 20559 0)

(miscs 48 123 158)

(strings 32 19936 2973)

(string-bytes 1 553502)

(vectors 16 13111)

(vector-slots 8 437405 5388)

(floats 8 169 890)

(intervals 56 4001 3)

(buffers 976 23))